package addressbook;

import java.util.HashMap;

public class AddressDataHolderCache implements IAddressDataHolder {

	private IAddressDataHolder dataholder = new AddressDataHolderDb();
	private HashMap<String, AddressData> addressDataCache = new HashMap<String, AddressData>();
	
	@Override
	public AddressData getDataForAddress(String address) {
		AddressData data = addressDataCache.get(address);
		if (data != null) {
			return data;
		}
		
		data = dataholder.getDataForAddress(address);
		addressDataCache.put(address, data);
		return data;
	}

}
