package client;

import java.util.LinkedList;

public class ClientManager {

	private IDiscount clientDiscount;
	private LinkedList<IClient> clients = new LinkedList<IClient>();

	public ClientManager(IDiscount clientDiscount) {
		this.clientDiscount = clientDiscount;
	}

	public void loadAllClients() {
		System.out.println("Load all client data");
	}
	
	public IDiscount getClientDiscount() {
		return clientDiscount;
	}
	
	public void addClient(IClient client) {
		clients.add(client);
	}
	
	public void cancelAllAppointments() {
		for (IClient c : clients) {
			c.cancelAppointment();
		}
	}
}
