package textEditor;

import textEditor.ui.IBorder;
import textEditor.ui.IUIManager;

abstract class TextEditor {
	Cursor current;

	abstract IUIManager getUITypeForTextEditor();
	
	public void insertCharacter(char c) {
		process(new InsertAction(current, c));
	}

	public void deleteCharacter() {
		process(new DeleteAction(current));
	}
	
	private void process(IAction action) {
		action.doIt();
	}
	
	public void createUI() {
		IUIManager uiManager = getUITypeForTextEditor();
		IBorder border = uiManager.createBorder();
		border.draw();
	}
}
